classification
Title: reinitialize_command doesn't clear install_lib on install and install_lib commands
Type: Stage: resolved
Components: Distutils Versions:
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: Nosy List: eric.araujo, jaraco, steve.dower
Priority: normal Keywords:

Created on 2014-03-02 00:28 by jaraco, last changed 2021-02-03 18:30 by steve.dower. This issue is now closed.

Messages (3)
msg212530 - (view) Author: Jason R. Coombs (jaraco) * (Python committer) Date: 2014-03-02 00:28
The setuptools source references a "distutils bug" here: https://bitbucket.org/pypa/setuptools/src/85760c42740829000a19ebf708d0a9cd565bb0eb/setuptools/command/bdist_wininst.py?at=default#cl-7

From what I infer from that message, the bug is that 'reinitialize_command' doesn't clear the 'install_lib' property on the 'install' or 'install_lib' commands.

I'm actually skeptical that setuptools even needs to clear the 'install_lib' property on the 'install_lib' command, for as best as I can tell, the install_lib command only ever sets install_dir.

Nevertheless, I wanted to log a ticket to reference in the code to ultimately find a solution rather than a workaround.
msg212902 - (view) Author: √Čric Araujo (eric.araujo) * (Python committer) Date: 2014-03-07 21:54
If there is indeed a bug, I fear this is one of these areas where a fix actually breaks other build tools reusing distutils internals.
msg386423 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2021-02-03 18:30
Distutils is now deprecated (see PEP 632) and all tagged issues are being closed. From now until removal, only release blocking issues will be considered for distutils.

If this issue does not relate to distutils, please remove the component and reopen it. If you believe it still requires a fix, most likely the issue should be re-reported at https://github.com/pypa/setuptools
History
Date User Action Args
2021-02-03 18:30:34steve.dowersetstatus: open -> closed

nosy: + steve.dower
messages: + msg386423

resolution: out of date
stage: resolved
2014-03-07 21:54:46eric.araujosetnosy: + eric.araujo

messages: + msg212902
versions: - Python 3.1, Python 2.7, Python 3.2, Python 3.3, Python 3.4
2014-03-02 00:28:56jaracocreate